Page MenuHomePhabricator

[Task] Create a special page to query for badges
Closed, ResolvedPublic

Description

Some Wikipedias use categories to find all articles which have a good or featured version in some other Wikipedia. This categories can and should be replaced by a special page on wikidata.org where one can enter a badge and a wiki and then gets all items which have a sitelink to that wiki which has the specified badge.

Details

Reference
bz70209

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:38 AM
bzimport set Reference to bz70209.
bzimport added a subscriber: Unknown Object (MLST).
Bene created this task.Aug 30 2014, 11:12 AM

These wikis include French, Russian, Spanish, Catalan, and Portuguese.

It shouldn't be implemented in Wikibase client? like Special:UnconncetedPages
My reasoning is that the list you're implying can be obtained by getting Category:Featured articles directly but getting the list of articles in certain Wiki that their article in another Wiki is featured is not easy

Bene added a comment.Aug 31 2014, 9:30 AM

No, the special page should be on the repo because this is the central place to query things. We might also create a special page on client which can query for all good or featured article on that particular wiki but I don't see the value such a special page would add to the special page on Wikidata.

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
He7d3r set Security to None.Mar 1 2015, 5:06 PM
He7d3r added a subscriber: Magioladitis.

This came up again on ptwiki.
https://pt.wikipedia.org/wiki/WP:Coordenação_robótica#Predefini.C3.A7.C3.B5es_substitu.C3.ADdas_pelo_Wikidata
How are other wikis working around this?
Is there a tool on Labs to provide this functionality? I didn't find anything related to badges in the directory of tools:
http://tools.wmflabs.org/hay/directory/#/search/badge

and again...
https://pt.wikipedia.org/w/index.php?diff=41716186

How are other wikis working around this?

Would an i18n-based configuration work for Wikibase client?
E.g. MediaWiki:Wikibase-badge-category-featuredarticle would be Categoria:Voci in vetrina su $1 on itwiki, etc.

He7d3r added a comment.May 4 2015, 8:26 PM

Can someone reply, please?

Sorry I missed this.

Ricordisamoa: What would you configure with this?

Helder: Bene was working on the task that is blocking this one. So some progress is being made.

Ricordisamoa: What would you configure with this?

A set of i18n messages, disabled by default, which, if set, would be rendered as categories based on the connected item's badges.
E.g. if MediaWiki:Wikibase-badge-category-featuredarticle is set to Featured articles on $1 and the item's dewiki sitelink has the featuredarticle badge, the page will get a Featured articles on dewiki category automatically.
This approach would be more similar to the one we're using on itwiki, but a special page may solve the problem too, and may be even more flexible.

Ah that makes sense. Is there a preference from anyone one way or the other? If so why?

Ah that makes sense. Is there a preference from anyone one way or the other? If so why?

I don't think anyone has a strong preference towards either. We just want to get rid of templates ASAP :)
Added more subscribers so they can have a say.

putnik added a subscriber: putnik.May 10 2015, 2:44 AM
Bene claimed this task.May 24 2015, 1:12 PM
Opraco added a subscriber: Opraco.Jun 3 2015, 11:44 AM
jayvdb added a subscriber: jayvdb.Jun 20 2015, 3:22 AM

This came up again on ptwiki.
https://pt.wikipedia.org/wiki/WP:Coordenação_robótica#Predefini.C3.A7.C3.B5es_substitu.C3.ADdas_pelo_Wikidata
How are other wikis working around this?
Is there a tool on Labs to provide this functionality? I didn't find anything related to badges in the directory of tools:
http://tools.wmflabs.org/hay/directory/#/search/badge

Still no tools. It might help to create an API, as that will let more developers access the data easily.
I cant see an API to query sitelinks filtered by 'with badges' and 'by language? e.g. I dont see a badges filter on:
https://www.wikidata.org/w/api.php?action=help&modules=wbgetentities

Pywikibot has a patch for badges, which needs a bit of work. https://gerrit.wikimedia.org/r/#/c/131019/

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 6 2015, 1:43 PM
Bene renamed this task from Create a special page to query for badges to [Task] Create a special page to query for badges.Aug 30 2015, 12:47 PM
Bene removed Bene as the assignee of this task.
Bene removed a project: patch-welcome.

Change 234961 had a related patch set uploaded (by Bene):
Add SpecialPagesWithBadges

https://gerrit.wikimedia.org/r/234961

Change 234962 had a related patch set uploaded (by Bene):
Add SpecialPagesWithBadges

https://gerrit.wikimedia.org/r/234962

Bene moved this task from Doing to Review on the Wikidata-Sprint-2015-08-18 board.Aug 31 2015, 6:15 PM

Change 234961 abandoned by Bene:
Add SpecialPagesWithBadges

https://gerrit.wikimedia.org/r/234961

Change 234962 abandoned by Bene:
Add SpecialPagesWithBadges

https://gerrit.wikimedia.org/r/234962

Change 234961 restored by Bene:
Add SpecialPagesWithBadges

Reason:
Ups

https://gerrit.wikimedia.org/r/234961

Bene moved this task from Review to Doing on the Wikidata-Sprint-2015-09-01 board.Sep 2 2015, 11:08 AM
daniel closed this task as Resolved.Sep 2 2015, 12:55 PM
daniel moved this task from Doing to Done on the Wikidata-Sprint-2015-09-01 board.
daniel added a subscriber: daniel.

Change 234961 merged by jenkins-bot:
Add SpecialPagesWithBadges

https://gerrit.wikimedia.org/r/234961

matej_suchanek removed a project: Patch-For-Review.
matej_suchanek removed a subscriber: gerritbot.
kaldari reopened this task as Open.Dec 7 2016, 12:35 AM
kaldari added a subscriber: kaldari.

The page doesn't work for me. All the options return zero results:
https://www.wikidata.org/wiki/Special:PagesWithBadges?badge=Q17437796

You need to run it on clients not repo, in repo you can simply go with whatlinkshere IIRC

kaldari closed this task as Resolved.Dec 7 2016, 1:02 AM

Ooooh!